pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46206: nspr pthread_create configure check fails

>Number:         46206
>Category:       pkg
>Synopsis:       nspr pthread_create configure check fails
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Mar 16 06:40:00 +0000 2012
>Originator:     David Shao
>Release:        NetBSD 6.99.4 (GENERIC)
6.99.4 NetBSD 6.99.4 (GENERIC) amd64
Using pkgsrc current, pkg_rolling-replace -u fails to replace devel/nspr with 
an error message, redacted:

===> Configuring for nspr-4.9.3
=> Fixing nspr-config run path
cd /usr/pkgsrc/devel/nspr/work/mozilla-release/nsprpub && autoconf
checking for gcc -pipe support... no
checking whether C compiler supports -fprofile-generate... yes
checking for visibility(hidden) attribute... yes
checking for visibility pragma support... yes
checking for perl5... /usr/pkg/bin/perl
checking for dlopen in -ldl... no
checking whether gcc needs -traditional... no
checking for lchown... no
checking for strerror... no
checking for dladdr... no
checking for pthread_create in -lpthreads... no
checking for pthread_create in -lpthread... no
checking for pthread_create in -lc_r... no
checking for pthread_create in -lc... no
configure: error:  --with-pthreads specified for a system without pthread 

Using pkgsrc current on NetBSD 6.99.4 (GENERIC) amd64, with previous version of 
Firefox 10 and thus nspr installed, run pkg_rolling-replace -u

Contents of /etc/mk.conf:

.ifdef BSD_PKG_MK       # begin pkgsrc settings

ACCEPTABLE_LICENSES += vim-license lame-license opera-1100-license

# CFLAGS+= -g

# PKGSRC_COMPILER=ccache gcc
# CCACHE_DIR= /usr/pkg/.ccache

.endif                  # end pkgsrc settings

Had been using ccache butreverted when this problem surfaced.

Home | Main Index | Thread Index | Old Index